CREATE procedure [C6StagingPeriodico].[RP_ST_S4_S5_S13_TRAD_UNTIL_LIV3_pre_selective] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_S4_S5_S13_TRAD_UNTIL_LIV3_pre_selective',
		GETDATE(),
		'Elaborazione Trimestale'
	)
	truncate table C6StagingPeriodico.RP_S4_S5_S13_TRAD_UNTIL_LIV3
	insert into C6StagingPeriodico.RP_S4_S5_S13_TRAD_UNTIL_LIV3
	select * from [CONSUNI_PERIODICO].[consulenzaUnica].[dbo].[REP_S4_S5_S13_TRAD_UNTIL_LIV3]
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_S4_S5_S13_TRAD_UNTIL_LIV3_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_S4_S5_S13_TRAD_UNTIL_LIV3_pre_selective'
		)
end